Skip to main content
POST
/
v3
/
async
/
veo-3.0-generate-preview-text2video
Veo 3.0 Preview Text-to-Video
curl --request POST \
  --url https://api.myrouter.ai/v3/async/veo-3.0-generate-preview-text2video \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "prompt": "<string>",
  "aspect_ratio": "<string>",
  "duration_seconds": 123,
  "enhance_prompt": true,
  "generate_audio": true,
  "negative_prompt": "<string>",
  "person_generation": "<string>",
  "resolution": "<string>",
  "sample_count": 123,
  "seed": {}
}
'
import requests

url = "https://api.myrouter.ai/v3/async/veo-3.0-generate-preview-text2video"

payload = {
"prompt": "<string>",
"aspect_ratio": "<string>",
"duration_seconds": 123,
"enhance_prompt": True,
"generate_audio": True,
"negative_prompt": "<string>",
"person_generation": "<string>",
"resolution": "<string>",
"sample_count": 123,
"seed": {}
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
prompt: '<string>',
aspect_ratio: '<string>',
duration_seconds: 123,
enhance_prompt: true,
generate_audio: true,
negative_prompt: '<string>',
person_generation: '<string>',
resolution: '<string>',
sample_count: 123,
seed: {}
})
};

fetch('https://api.myrouter.ai/v3/async/veo-3.0-generate-preview-text2video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "task_id": "<string>"
}
Generate high-quality video content from text descriptions using the Veo 3.0 Preview video generation model. This API uses asynchronous processing and requires querying the final result via task_id.

Request Headers

Content-Type
string
required
Enum: application/json
Authorization
string
required
Bearer authentication format: Bearer {{API Key}}.

Request Body

prompt
string
required
A text string describing the video you want to generate.
aspect_ratio
string
Specifies the aspect ratio of the generated video.Enum: 16:9, 9:16. Default: 16:9.
duration_seconds
integer
The length of the video file you want to generate (in seconds).Enum: 4, 6, 8. Default: 8.
enhance_prompt
boolean
Specifies whether to use Gemini to enhance your prompt.Default: true
generate_audio
boolean
required
Specifies whether to generate audio for the video.
negative_prompt
string
A text string describing content you want to prevent the model from generating.
person_generation
string
Safety setting that controls whether person or face generation is allowed.Enum:
  • allow_adult (default): Only allows generating adults
  • dont_allow: Does not allow including people or faces in the image
resolution
string
Resolution of the generated video.Enum: 720p (default) or 1080p
sample_count
integer
Number of videos to generate.Range: 1-4
seed
uint32
A number used to initialize the random generation process. Using the same seed, prompt, and other parameters produces the same output video, making the generation process deterministic.Range: 0-4,294,967,295

Response

task_id
string
required
The task_id of the async task. Use the task_id to call the Get Async Task Result API to retrieve the generated result.